/*
 * ActorControlFrame.java
 *
 * Created on April 23, 2003, 10:55 AM
 */

package actor;

import javax.swing.*;
import java.awt.event.*;
import java.util.HashSet;
import java.awt.Container;

/**
 *
 * @author  Rod McFarland
 */
class ActorControlFrame extends JFrame{
    static HashSet open = new HashSet();
    public Actor caller = null;
    
    public ActorControlFrame(Actor caller){
        super();
        this.caller=caller;
        open.add(caller);
        addWindowListener(new WindowAdapter(){
            public void windowClosing(WindowEvent e){
                System.out.print("Actor properties frame closed ");
                System.out.println("["+((ActorControlFrame)(e.getSource())).caller.toString()+"]");
                ActorControlFrame.open.remove(((ActorControlFrame)(e.getSource())).caller);
            }
        });
        this.setTitle(caller.name()+" Properties");
        Container cp = getContentPane();
        cp.add(caller.controlPanel());
        pack();
        this.setResizable(false);
        System.out.print("Actor properties frame opened ");
        System.out.println("["+caller.toString()+"]");
        show();
    }
    
}