/*
 * Geometry.java
 *
 * Created on March 31, 2003, 6:09 PM
 */

package geometry;

/**
 *
 * @author  rod
 */
public class Geometry {
    public static double epsilon = 0.000001;
    
    /** Creates a new instance of Geometry */
    public Geometry() {
    }
    
    public static boolean areParallel(Line l1, Line l2){
        double m1 = 0;
        double m2 = 0;
        boolean i1 = false;
        boolean i2 = false;
        try{
            m1 = l1.slope();
        }catch(ArithmeticException ae){
            i1 = true;
        }
        try{
            m2 = l2.slope();
        }catch(ArithmeticException ae){
            i2 = true;
        }
        if (i1 && i2){
            return true;
        }
        return (m1 == m2);
    }
}
